package com.malk.kabeiyi.service;

import com.malk.kabeiyi.entity.OperatingRecordEntity;
import com.malk.server.common.McR;
import org.springframework.scheduling.annotation.Async;

import java.util.Map;

public interface KabeiyiService {
    /**
     * 审批实例推送到宜搭（卡倍亿）
     * @param map
     * @return
     */
    McR pushProcInstToYD(Map map);

    /**
     * 审批实例推送到宜搭（特充）
     * @param map
     * @return
     */
    McR pushProcInstToYD2(Map map);

    /**
     * 发起问题整改审批
     * @param map
     * @return
     */
    McR addQuestionApproval(Map map);

    McR ocr(String downloadUrl,String name,String type);

    McR addPlanApproval(Map map);

    @Async
    McR getSaleoutInfo();

    McR testInnerTable();

    void addVoucher(Map map);

    String getWeekRange(String dateStr);

    void puchCBS(Map map);

    void schedulePaymentCBSToU8(OperatingRecordEntity entity);
}
